#pragma once

class StorageInterface {
public:
    virtual int storage_read(uint8_t* data, uint32_t block) = 0;
    virtual int storage_write(const uint8_t* data, uint32_t block) = 0;
    virtual int storage_initialize() = 0;
    virtual uint32_t storage_sectors() = 0;
    virtual uint32_t storage_size() = 0;
    virtual int storage_status() = 0;
};
